Отключается Clementine

Автор Eyer, 13 июля 2021, 20:14:26

« назад - далее »

0 Пользователи и 1 гость просматривают эту тему.

Eyer

Для проигрывания музыки использую проигрыватель Clementine, Перепробовал многие, остановился на этом.
Он у меня, к сожалению, очень часто отключается. Просто пропадает из запущенных программ.
На прошлой неделе переустанавливал систему - ситуация повторяется (был debian buster xfce стал debian buster mate).
Предполагаю, что ситуация может быть связана с количеством аудиофайлов (более 100000), но, надеюсь, дело не в этом.

Можно ли как-то настроить стабильность работы софтины, не подскажете?
Debian Bullseye mate
Можно на ты

dzhoser

#1
Чтобы ответить на этот вопрос нужно посмотреть логи работы программы. Самый простой способ запустить программу в терминале командойclementine --verbose --log-levels 3
Хотя возможно она просто сворачиваться в трей?
Ubuntu->Linux mint->Astra Linux SE->Debian 11
Для новичков

Eyer

Цитата: dzhoser от 13 июля 2021, 20:21:54просто сворачиваться
Нет, к сожалению. Если бы просто сворачивалась, музыка бы продолжала играть.

Цитата: dzhoser от 13 июля 2021, 20:21:54clementine --verbose --log-levels 3
Запустил, сейчас дождусь - отпишу.
Debian Bullseye mate
Можно на ты

Eyer

Дождался прецедента

eyer@eyer:~$ clementine --verbose --log-levels 3
__logging_message__11:40:47.944 WARN  unknown                          libpng warning: iCCP: known incorrect sRGB profile
11:45:46.031 ERROR logging:57                       Source ID 19 was not found when attempting to remove it
13:32:33.644 ERROR logging:57                       Source ID 20 was not found when attempting to remove it
__logging_message__13:35:19.412 WARN  unknown                          libpng warning: iCCP: known incorrect sRGB profile
__logging_message__13:35:19.431 WARN  unknown                          libpng warning: iCCP: known incorrect sRGB profile
__logging_message__13:35:19.492 WARN  unknown                          libpng warning: iCCP: known incorrect sRGB profile
__logging_message__13:35:22.094 DEBUG unknown                          "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n<lfm status=\"failed\">\n  <error code=\"6\">Invalid parameters - Your request is missing a required parameter</error>\n</lfm>\n"
13:45:53.505 ERROR logging:57                       Source ID 21 was not found when attempting to remove it
13:45:57.638 ERROR logging:57                       Source ID 22 was not found when attempting to remove it
13:46:00.427 ERROR logging:57                       Source ID 23 was not found when attempting to remove it
13:46:01.646 ERROR logging:57                       Source ID 24 was not found when attempting to remove it
13:46:04.752 ERROR logging:57                       Source ID 25 was not found when attempting to remove it
14:05:41.658 ERROR logging:57                       Source ID 26 was not found when attempting to remove it
14:05:43.858 ERROR logging:57                       Source ID 27 was not found when attempting to remove it
14:05:46.008 ERROR logging:57                       Source ID 28 was not found when attempting to remove it
Ошибка сегментирования
eyer@eyer:~$
Debian Bullseye mate
Можно на ты

dzhoser

Отправляйте отчёт разработчикам, нужно править код. Или попробуйте обновить до новой версии программы.
Кстати у Вас какая версия?
Об ошибке сегментирования
https://losst.ru/oshibka-segmentirovaniya-ubuntu
Ubuntu->Linux mint->Astra Linux SE->Debian 11
Для новичков

Eyer

Debian Bullseye mate
Можно на ты

Eyer

Цитата: dzhoser от 14 июля 2021, 14:46:09отчёт разработчикам
i think, my english is not good enouth to make a bagreport)

Но там, кажется, уже есть такая ошибка. Правда, в более новой версии.
https://github.com/clementine-player/Clementine/issues/7040
Debian Bullseye mate
Можно на ты

ferum

Как говорят в рекламе лекарственных средств .... вам может помочь....
Возьмите пакет исходного кода подключив deb-src , соберите программу на своём компьютере. До чиста удалите установленную из репозитория версию , включая конфиги из домашней папки. Поставьте свои пакеты через dpkg. Как вариант можно собрать другую версию из исходников.
З.Ы. ошибка сегментирования происходит при обработке входных данных, когда они чем то не совпадают с алгоритмом программы.
В моей практике например программа scan-s2 не могла переваривать некоторые транспондеры на некоторых спутниках. Пытался разобраться, собирал программу для разных версий дистрибутива в т.ч ubuntu, менял DVB S2 карты, запускал утилиту с другими ключами, но это ни как не влияло на результат. Как только начиналось сканирование проблеммного транспондера, программа вылетала. Убираешь транспондер из списка и всё отрабатывает без проблем.
Возможен вариант что вы используете mp3 файлы, некоторые из которых не соответствуют определённому стандарту.
Русские дебианщики против цифрового слабоумия !

Eyer

После обновления версии ошибка пока больше не повторялась.

Версия 1.4.0rc1-686-gdaa2f25e3
Debian Bullseye mate
Можно на ты

dzhoser

Я смотрел с телефона и видел не полный вывод логов, сегодня посмотрел с компьютера. Похоже проблема при запросе оформления обложки или информации о песне. Вероятно это проявляется на одном трэке. Жду от Вас обратной связи. Расскажите о стабильности или проявлении ошибки.э в новой версии.
Ubuntu->Linux mint->Astra Linux SE->Debian 11
Для новичков

Eyer

Цитата: dzhoser от 16 июля 2021, 11:12:38Вероятно это проявляется на одном трэке. Жду от Вас обратной связи. Расскажите о стабильности или проявлении ошибки.э в новой версии.

Как писал выше, в новой версии вылетов пока не увидел. Нет, не на одном треке была ошибка. Бывало, что при проигрывании трека одного вылетает - включаю - опять вылетает - включаю - затем трек проигрывает полностью. Специально проверял, тоже думал, дело в конкретном треке.

Запросы обложек работают исправно, с ними никогда ошибок не замечал никаких.
Debian Bullseye mate
Можно на ты

dzhoser

Ну так правильно обложка же не все время запрашивается. Запросилась упала, запросилась упала. В перерыве запросов трек проиграл до конца.
Ubuntu->Linux mint->Astra Linux SE->Debian 11
Для новичков

Eyer

Я, кстати, рьяный пользователь этого поиска обложек))
Debian Bullseye mate
Можно на ты